Ben
Burton
bab@debian.org
7 de Março de 2003
addebug
1

# `addebug`

Modifica as `Makefile`(s) para adicionar informações de depuração

    adddebug -k -r -n

## Descrição

O `adddebug` modifica as `Makefile`s na pasta atual (e, opcionalmente, nas suas sub-pastas) para adicionar informações de depuração (`-g3`). Irá também remover as otimizações (`-O[1-9]`).

Este utilitário faz parte do Kit de Desenvolvimento de Software (SDK) do &kde;.

## Opções

`-k`

  Mantém as otimizações (não remove as opções `-O[1-9]?` que são removidas por padrão).

`-r`

  Procura recursivamente em todas as sub-pastas da pasta atual e atua em todas as `Makefile`s encontradas.

`-n`

  compila sem o NDEBUG e o NO_DEBUG definidos (faz com que as chamadas `kdDebug` funcionem)